Re: [Zope-dev] Zope.app() dance with 2.7

2003-08-14 Thread Erik A . Dahl
Chris, I took the code from zopectl that is uses to do the debug thing and scripts now work. Here is the code... import os if (os.environ.has_key('ZOPEVERSION') and os.environ['ZOPEVERSION'] == '2.7'): from Zope.Startup.options import ZopeOptions from Zope.Startup import handlers

Re: [Zope-dev] Zope.app() dance with 2.7

2003-08-14 Thread Chris Withers
Chris McDonough wrote: What about when you're not debugging? What about scripts that pump stuff into Zope and the like? That would be zopectl run. Hmmm... for trivialities sake, say what I had before was a script called x.py: import Zope app = Zope.app()

Re: [Zope-dev] Zope.app() dance with 2.7

2003-08-14 Thread Chris Withers
Chris McDonough wrote: You can use zopectl debug to do this. What about when you're not debugging? What about scripts that pump stuff into Zope and the like? cheers, Chris ___ Zope-Dev maillist - [EMAIL PROTECTED]

Re: [Zope-dev] Zope.app() dance with 2.7

2003-08-10 Thread Chris McDonough
You can use zopectl debug to do this. There were some problems with this post-2.7 that are fixed in CVS having to do with user privileges, but it should work. - C On Wed, 2003-08-06 at 12:47, Erik A.Dahl wrote: How does one do the old: import Zope app=Zope.app() Dance with 2.7? I get

Re: [Zope-dev] Zope.app() dance with 2.7

2003-08-09 Thread Chris McDonough
You need to set ZOPEVERSION to 2.7 for it to work. Is there a better way to figure out the current zope version? It would be nice if the Zope module had a __version__ that you could check (or is there one somewhere else that I missed). No, unfortunately. A CVS checkout doesn't have a

[Zope-dev] Zope.app() dance with 2.7

2003-08-08 Thread Erik A . Dahl
How does one do the old: import Zope app=Zope.app() Dance with 2.7? I get the following error from dbtab: AttributeError: DefaultConfiguration instance has no attribute 'dbtab' Thanks, -EAD ___ Zope-Dev maillist - [EMAIL PROTECTED]